## musescore 1.2+dfsg

=== Makefile ===
#=============================================================================
#  Mscore
#  Linux Music Score Editor
#  $Id:$
#
#  Copyright (C) 2002-2007 by Werner Schweer and others
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License version 2.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#=============================================================================

REVISION  = `cat mscore/mscore/revision.h`
CPUS      = `grep -c processor /proc/cpuinfo`

PREFIX    = "/usr/local"
#VERSION   = "1.2r${REVISION}"
VERSION   = 1.2

ROOT=`pwd`

release:
	if test ! -d build;                              \
         then                                          \
            mkdir build;                               \
            cd build;                                  \
            cmake -DCMAKE_BUILD_TYPE=RELEASE	       \
            	  -DCMAKE_INSTALL_PREFIX="${PREFIX}" \
            	   ../mscore; 			       \
            make lrelease;                             \
            make -j ${CPUS};                           \
         else                                          \
            echo "build directory does already exist, please remove first with 'make clean'"; \
         fi;

debug:
	if test ! -d build;                              \
         then                                          \
            mkdir build;                               \
            cd build;                                  \
            cmake -DCMAKE_BUILD_TYPE=DEBUG	       \
            	  -DCMAKE_INSTALL_PREFIX="${PREFIX}" \
            	   ../mscore; 			       \
            make lrelease;                             \
            make -j ${CPUS};                           \
         else                                          \
            echo "build directory does already exist, please remove first with 'make clean'";       \
         fi

#
#  win32
#     cross compile windows package
#     NOTE: there are some hardcoded path in CMake - files
#           will probably only work on my setup (ws)
#
win32:
	if test ! -d win32build;                         \
         then                                          \
            mkdir win32build;                          \
      	if test ! -d win32install;                 \
               then                                    \
                  mkdir win32install;                  \
            fi;                                        \
            cd win32build;                             \
            cmake -DCMAKE_TOOLCHAIN_FILE=../mscore/cmake/mingw32.cmake -DCMAKE_INSTALL_PREFIX=../win32install -DCMAKE_BUILD_TYPE=DEBUG  ../mscore; \
            make lrelease;                             \
            make -j ${CPUS};                           \
            make install;                              \
            make package;                              \
         else                                          \
            echo "build directory win32build does alread exist, please remove first"; \
         fi

#
# clean out of source build
#

clean:
	-rm -rf build
	-rm -rf win32build win32install

#
# dist
#     create source distribution
#     - get current version from sourceforge
#     - remove .svn directories
#     - tar
#     - untar & test build
#

dist:
	-rm -rf mscore.dist
	mkdir mscore.dist
	cd mscore.dist; svn co https://mscore.svn.sourceforge.net/svnroot/mscore/trunk mscore-${VERSION}
	cd mscore.dist; find . -name .svn -print0 | xargs -0 /bin/rm -rf
	cd mscore.dist; tar cvfj mscore-${VERSION}.tar.bz2 mscore-${VERSION}
	mv mscore.dist/mscore-${VERSION}.tar.bz2 .

testdist:
	tar xvofj mscore-${VERSION}.tar.bz2
	cd mscore-${VERSION}; make release

revision:
	@svnversion -n  > mscore/mscore/revision.h

version: revision
	@echo ${VERSION}

install:
	cd build; make install

#
#  linux
#     linux binary package build
#
unix:
	if test ! -d linux;                          \
         then                                      \
            mkdir linux;                           \
            cd linux; \
            cmake -DCMAKE_BUILD_TYPE=RELEASE  ../mscore; \
            make -j${CPUS} -f Makefile;            \
            make package;                          \
         else                                      \
            echo "build directory linux does alread exist, please remove first";  \
         fi

=== mscore/CMakeLists.txt ===
#=============================================================================
#  Mscore
#  Linux Music Score Editor
#  $Id:$
#
#  Copyright (C) 2002-2009 by Werner Schweer and others
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License version 2.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#=============================================================================

project(mscore)
CMAKE_MINIMUM_REQUIRED(VERSION 2.6.0)

cmake_policy(SET CMP0003 NEW)

# for debugging the make system uncomment next line:
# set(CMAKE_VERBOSE_MAKEFILE ON)

set(MSCORE_UNSTABLE  FALSE)               # mark as unstable

set(GCC_VISIBILITY TRUE)                  # requires gcc 4.x?
set(HAS_AUDIOFILE TRUE)                   # requires libsndfile
set(OSC           TRUE)                   # osc remote control

set(BUILD_SCRIPTGEN TRUE)                 #Generate Qt script bindings. (collides with qtscriptgenerator project on several distrib)
set(STATIC_SCRIPT_BINDINGS FALSE)
set(USE_SSE FALSE)

if (MINGW)
      set(GCC_VISIBILITY FALSE)           # we use gcc 3.6
      set(STATIC_SCRIPT_BINDINGS TRUE)
endif (MINGW)

if (APPLE)
      set(HAS_AUDIOFILE TRUE)            # requires libsndfile
      set(STATIC_SCRIPT_BINDINGS TRUE)
      
      set (CMAKE_CXX_COMPILER   clang++) # use clang, comment for 10.4 & 10.5
      set(CMAKE_OSX_ARCHITECTURES i386)   # build only i386 by default
      set(CMAKE_OSX_SYSROOT /Developer/SDKs/MacOSX10.6.sdk)
      set(CMAKE_OSX_DEPLOYMENT_TARGET 10.6) #min version required
      
      #toggle the following for 10.4 & 10.5
      #set(CMAKE_OSX_ARCHITECTURES i386 ppc)   # build universal binary
      #set(CMAKE_OSX_SYSROOT /Developer/SDKs/MacOSX10.4u.sdk)
      #set(CMAKE_OSX_DEPLOYMENT_TARGET 10.4) #min version required
      
      find_library(AudioToolboxFW NAMES AudioToolbox)
      find_library(AudioUnitFW NAMES AudioUnit)
      find_library(CoreAudioFW NAMES CoreAudio)
      find_library(CoreMidiFW NAMES CoreMIDI)
      find_library(SystemConfigurationFW NAMES SystemConfiguration)
      find_library(CoreServicesFW NAMES CoreServices)
      set(OsxFrameworks ${AudioToolboxFW} ${AudioUnitFW} ${CoreAudioFW} ${CoreMidiFW} ${SystemConfigurationFW} ${CoreServicesFW})
endif (APPLE)

set(CMAKE_INCLUDE_CURRENT_DIR TRUE)
set(CMAKE_BUILD_WITH_INSTALL_RPATH ON)
set(CMAKE_SKIP_RULE_DEPENDENCY TRUE)

# The Mscore version number.
SET(Mscore_VERSION_MAJOR  "1")
SET(Mscore_VERSION_MINOR  "2")
SET(Mscore_VERSION_PATCH  "0")

SET(Mscore_VERSION       "${Mscore_VERSION_MAJOR}.${Mscore_VERSION_MINOR}")
#SET(Mscore_VERSION_FULL  "${Mscore_VERSION}.${Mscore_VERSION_PATCH}")
SET(Mscore_VERSION_FULL  "${Mscore_VERSION}")

if (MINGW OR APPLE)
  if(MINGW)
      SET(Mscore_INSTALL_NAME  "")
      SET(Mscore_SHARE_NAME    "./")
  else(MINGW)
      SET(Mscore_INSTALL_NAME  "Contents/Resources/")
      SET(Mscore_SHARE_NAME    "mscore.app/")
  endif(MINGW)
else (MINGW OR APPLE)
      SET(Mscore_INSTALL_NAME  "mscore-${Mscore_VERSION}/")
      SET(Mscore_SHARE_NAME    "share/")
endif (MINGW OR APPLE)

include ( ${PROJECT_SOURCE_DIR}/cmake/UsePkgConfig1.cmake )
include ( ${PROJECT_SOURCE_DIR}/cmake/TargetDoc.cmake)

##
##  look for Qt4
##

set(QT_MIN_VERSION "4.6.0")
set(QT_USE_QTXML     TRUE)
set(QT_USE_QTSVG     TRUE)
set(QT_USE_QTNETWORK TRUE)
set(QT_USE_QTUITOOLS TRUE)
set(QT_USE_QTDESIGNER TRUE)
set(QT_USE_QTSCRIPT   TRUE)
set(QT_USE_QTSCRIPTTOOLS   TRUE)
set(QT_USE_QTWEBKIT   TRUE)

find_package(Qt4 "4.6")

if (NOT QT4_FOUND)
      message(FATAL_ERROR "Fatal error: QT (version >= 4.6.0) required."
         " Cmake tries to detect QT4 by searching for 'qmake' in your PATH."
         "If you have QT4 installed, make sure qmake is found in your PATH. "
         "If you compiled QT4 yourself make sure your new qmake ist found"
         " _first_ in your PATH."
         )
else (NOT QT4_FOUND)
      message("Qt lib found at ${QT_LIBRARY_DIR}")
endif (NOT QT4_FOUND)


# Set QT_QTSCRIPT_INCLUDE_DIR
FIND_PATH(QT_QTSCRIPT_INCLUDE_DIR QtScript
   PATHS
   ${QT_INCLUDE_DIR}/QtScript
   ${QT_LIBRARY_DIR}/QtScript.framework/Headers
   NO_DEFAULT_PATH
   )

# Set QT_QTSCRIPT_LIBRARY (for cmake 2.4)
#FIND_LIBRARY(QT_QTSCRIPT_LIBRARY_RELEASE NAMES QtScript QtScript4 PATHS ${QT_LIBRARY_DIR}        NO_DEFAULT_PATH)
#FIND_LIBRARY(QT_QTSCRIPT_LIBRARY_DEBUG   NAMES QtScript QtScript_debug QtScriptd4 PATHS ${QT_LIBRARY_DIR} NO_DEFAULT_PATH)
#_QT4_ADJUST_LIB_VARS(QTSCRIPT)

# Set QT_QTSCRIPT_TOOLS_LIBRARY (apparently still needed on Ubuntu 9.10 - cmake 2.6.4)
if (NOT MINGW AND NOT APPLE)
FIND_LIBRARY(QT_QTSCRIPT_TOOLS_LIBRARY_RELEASE NAMES QtScriptTools QtScriptTools4 PATHS ${QT_LIBRARY_DIR}        NO_DEFAULT_PATH)
FIND_LIBRARY(QT_QTSCRIPT_TOOLS_LIBRARY_DEBUG   NAMES QtScriptTools QtScriptTools_debug QtScriptToolsd4 PATHS ${QT_LIBRARY_DIR} NO_DEFAULT_PATH)
_QT4_ADJUST_LIB_VARS(QTSCRIPT_TOOLS)
endif (NOT MINGW AND NOT APPLE)

include(${QT_USE_FILE})

##
## alsa >= 1.0.0
##

if (APPLE OR MINGW)
	message("Disabling ALSA support due to OS X or MINGW build.")
      set (USE_ALSA 0)
      set (HAS_MIDI 1)
else (APPLE OR MINGW)
      PKGCONFIG (alsa 1.0.0 ALSA_INCDIR ALSA_LIBDIR ALSA_LIB ALSA_CPP )
      if (NOT ALSA_INCDIR)
            message(FATAL_ERROR "Fatal error: ALSA >= 1.0.0 required")
      else (NOT ALSA_INCDIR)
	      message("Alsa detected.")
            set (USE_ALSA 1)
            set (HAS_MIDI 1)
      endif (NOT ALSA_INCDIR)
endif (APPLE OR MINGW)


##
## find jack >= JACK_MIN_VERSION
##

SET(JACK_LONGNAME "jack (jack audio connection kit)")
SET(JACK_MIN_VERSION "0.98.0")

SET(BUILD_JACK AUTO CACHE STRING "Build with support for ${JACK_LONGNAME}. jack >= ${JACK_MIN_VERSION} will be needed. [ON/OFF/AUTO]")
IF(BUILD_JACK)
     IF(MINGW)
           set (USE_JACK 1)
           IF("$ENV{PROCESSOR_ARCHITEW6432}" STREQUAL "")
              IF($ENV{PROCESSOR_ARCHITECTURE} STREQUAL "x86")
                 # "pure" 32-bit environment
                 set (JACK_INCDIR "C:/Program Files/Jack/includes")
                 set (JACK_LIB "C:/Program Files/Jack/lib/libjack.a")
              ELSE($ENV{PROCESSOR_ARCHITECTURE} STREQUAL "x86")
                 # "pure" 64-bit environment
                 set (JACK_INCDIR "C:/Program Files (x86)/Jack/includes")
                 set (JACK_LIB "C:/Program Files (x86)/Jack/lib/libjack.a")
              ENDIF($ENV{PROCESSOR_ARCHITECTURE} STREQUAL "x86")
           ELSE("$ENV{PROCESSOR_ARCHITEW6432}" STREQUAL "")
              IF("$ENV{PROCESSOR_ARCHITECTURE}" STREQUAL "x86")
                 # 32-bit program running with an underlying 64-bit environment
                 set (JACK_INCDIR "C:/Program Files (x86)/Jack/includes")
                 set (JACK_LIB "C:/Program Files (x86)/Jack/lib/libjack.a")
              ELSE("$ENV{PROCESSOR_ARCHITECTURE}" STREQUAL "x86")
                 # theoretically impossible case...
              ENDIF("$ENV{PROCESSOR_ARCHITECTURE}" STREQUAL "x86")
           ENDIF("$ENV{PROCESSOR_ARCHITEW6432}" STREQUAL "")

     ELSE(MINGW)
           PKGCONFIG(jack ${JACK_MIN_VERSION} JACK_INCDIR JACK_LIBDIR JACK_LIB JACK_CPP)
           IF(JACK_INCDIR)
                 MESSAGE(STATUS "${JACK_LONGNAME} >= ${JACK_MIN_VERSION} found")
                 SET(USE_JACK 1)
           ELSE(JACK_INCDIR)
                 MESSAGE(STATUS "${JACK_LONGNAME} >= ${JACK_MIN_VERSION} not found")
                 IF(NOT BUILD_JACK STREQUAL AUTO)
                       MESSAGE(SEND_ERROR "Error: jack support requested but not found (BUILD_JACK=${BUILD_JACK})")
                 ENDIF()
           ENDIF(JACK_INCDIR)
     ENDIF(MINGW)
ELSE(BUILD_JACK)
     MESSAGE(STATUS "${JACK_LONGNAME} support disabled")
ENDIF(BUILD_JACK)


##
## portaudio
##

if (MINGW)
      set ( USE_PORTAUDIO 1 )
      set ( USE_PORTMIDI  1 )
else (MINGW)
   PKGCONFIG (portaudio-2.0 19 PORTAUDIO_INCDIR PORTAUDIO_LIBDIR PORTAUDIO_LIB PORTAUDIO_CPP )
   if (PORTAUDIO_INCDIR)
	message("portaudio detected ${PORTAUDIO_INCDIR} ${PORTAUDIO_LIBDIR} ${PORTAUDIO_LIB}")
      set ( USE_PORTAUDIO 1 )
   else (PORTAUDIO_INCDIR)
      message("optional package portaudio-2.0 Version 19 not found (package portaudio19-dev)\n")
      set ( USE_PORTAUDIO 0 )
   endif (PORTAUDIO_INCDIR)
   if (APPLE)
      set ( USE_PORTMIDI  1 )
   else (APPLE)
      set (USE_PORTMIDI 0)
   endif (APPLE)
endif (MINGW)

##
## produce config.h file
##
configure_file (
      ${PROJECT_SOURCE_DIR}/config.h.in
      ${PROJECT_BINARY_DIR}/config.h
      )

#
#  create precompiled header file
#
add_custom_command(
   OUTPUT ${PROJECT_BINARY_DIR}/all.h
   COMMAND ${CMAKE_COMMAND}
   ARGS -E copy ${PROJECT_SOURCE_DIR}/all.h ${PROJECT_BINARY_DIR}/all.h
   DEPENDS ${PROJECT_SOURCE_DIR}/all.h
   WORKING_DIRECTORY ${PROJECT_BINARY_DIR}
   )

set(CMAKE_CXX_FLAGS_DEBUG   "")
set(CMAKE_CXX_FLAGS_RELEASE "-O3 -DNDEBUG")

if (CMAKE_BUILD_TYPE STREQUAL "DEBUG")
      if (MINGW)
            set(FLAGS -DQT_DEBUG -DQT_DLL)
      else (MINGW)
            set (FLAGS -DQT_DEBUG)
      endif (MINGW)
else (CMAKE_BUILD_TYPE STREQUAL "DEBUG")
      if (MINGW)
            set(FLAGS -O2 -DNDEBUG -DQT_DLL -DQT_NO_DEBUG)
      else (MINGW)
            set(FLAGS -O2 -DNDEBUG -DQT_NO_DEBUG)
      endif (MINGW)
endif (CMAKE_BUILD_TYPE STREQUAL "DEBUG")

MESSAGE( STATUS "CMAKE_CXX_COMPILER_ID:" ${CMAKE_CXX_COMPILER_ID})

if (${CMAKE_CXX_COMPILER_ID} EQUAL "Clang")
      add_custom_command(
         OUTPUT ${PROJECT_BINARY_DIR}/all.h.pch
         COMMAND ${CMAKE_CXX_COMPILER}
           -x c++-header -g ${FLAGS}
           -I${QT_INCLUDE_DIR}
           -o all.h.pch all.h
         DEPENDS ${PROJECT_BINARY_DIR}/all.h
         WORKING_DIRECTORY ${PROJECT_BINARY_DIR}
         )
      set (PCH ${PROJECT_BINARY_DIR}/all.h.pch)
else (${CMAKE_CXX_COMPILER_ID} EQUAL "Clang")
      add_custom_command(
         OUTPUT ${PROJECT_BINARY_DIR}/all.h.gch
         COMMAND ${CMAKE_CXX_COMPILER}
           -x c++-header -g  ${FLAGS} -m32
           -I${QT_HEADERS_DIR}
           -o all.h.gch all.h
         DEPENDS ${PROJECT_BINARY_DIR}/all.h
         WORKING_DIRECTORY ${PROJECT_BINARY_DIR}
         )
      set (PCH ${PROJECT_BINARY_DIR}/all.h.gch)
endif(${CMAKE_CXX_COMPILER_ID} EQUAL "Clang")

ADD_CUSTOM_TARGET(mops1 DEPENDS ${PROJECT_BINARY_DIR}/all.h)
ADD_CUSTOM_TARGET(mops2 DEPENDS ${PCH})


if (NOT MINGW AND NOT APPLE)
      install( FILES packaging/mscore.desktop DESTINATION share/applications)
endif (NOT MINGW AND NOT APPLE)

subdirs (al awl bww2mxml osdabzip rtf2html mscore share manual demos
      singleapp fluid)

if (BUILD_SCRIPTGEN)
      subdirs (scriptgen)
endif (BUILD_SCRIPTGEN)

if (MINGW OR APPLE)
      subdirs (portmidi)
endif (MINGW OR APPLE)

if (OSC)
      subdirs (ofqf)
endif (OSC)

include_directories(
   ${PROJECT_SOURCE_DIR}
   ${PROJECT_SOURCE_DIR}/mscore
   ${PROJECT_BINARY_DIR}
   ${PROJECT_BINARY_DIR}/mscore
   ${ALSA_INCDIR}
   ${JACK_INCDIR}
   ${PORTAUDIO_INCDIR}
)

##
## create package target
##

include (InstallRequiredSystemLibraries)

  SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "MuseScore is a full featured WYSIWYG score editor")
  SET(CPACK_PACKAGE_VENDOR "Werner Schweer and Others")
  SET(CPACK_PACKAGE_DESCRIPTION_FILE "${PROJECT_SOURCE_DIR}/COPYING")
  SET(CPACK_RESOURCE_FILE_LICENSE    "${PROJECT_SOURCE_DIR}/COPYING")

  SET(CPACK_PACKAGE_VERSION_MAJOR "${Mscore_VERSION_MAJOR}")
  SET(CPACK_PACKAGE_VERSION_MINOR "${Mscore_VERSION_MINOR}")
  SET(CPACK_PACKAGE_VERSION_PATCH "${Mscore_VERSION_PATCH}")
  SET(CPACK_PACKAGE_INSTALL_DIRECTORY "MuseScore ${Mscore_VERSION_MAJOR}.${Mscore_VERSION_MINOR}")

=== debian/changelog ===
musescore (1.2+dfsg-1ubuntu1) trusty; urgency=low

  * Use new FreeType header location, resolving FTBFS.

 -- Daniel T Chen <crimsun@ubuntu.com>  Mon, 30 Dec 2013 15:55:51 -0500

musescore (1.2+dfsg-1) unstable; urgency=low

  * New upstream release
    + see <http://musescore.org/en/musescore-1.2-released>
    + many bugfixes (Closes: #641780, #663411, #649225, #657910, #642953)
                    (LP: #794282, #944619, #743116)
    + musescore-common dependency has been correctly versioned since 1.1
      (Closes: #655111)
  * 12-debianise-about-box.patch:
    + redirect bug submitters to the correct package on Launchpad
  * 25-desktop-file-genericnames.patch: (Closes: #640988)
    + no more meaningless GenericName entries in desktop file
  * debian/rules: use dh_prep instead of dh_clean -k
  * debian/rules, debian/manpages: make sure `musescore` has a manpage
  * debian/control: ensure transitional packages are oldlibs/extra

 -- Toby Smithe <tsmithe@ubuntu.com>  Wed, 21 Mar 2012 18:45:32 +0000

musescore (1.1+dfsg-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt".
    Note: some patches were updated with "quilt refresh" to make
    them apply cleanly.
  * Update to Standards-Version to 3.9.3 and debhelper to 9.

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 29 Feb 2012 04:55:51 -0500

musescore (1.1+dfsg-1) unstable; urgency=low

  * New upstream release: <http://musescore.org/en/musescore-1.1> (LP: #819293)
    + MuseScore Connect <http://musescore.org/en/node/11523>
      - debian/control: depend on libqtwebkit-dev
    + add sol notehead, alternative brevist notehead group
    + add new symbols for old notation
    + improvements to MuseJazz font
    + new "MuseJazz" style
    + new "Jazz Lead Sheet" template and style
    + improvements to chord placement via keyboard
    + "Acoustic Bass" added to instrument list
    + many bug fixes (LP: #720483)
      <http://musescore.org/en/developers-handbook/release-notes-musescore-1.1>
  * Fix startup notification (Closes: #625824).
    + add 21-fix-startup-notification.dpatch
  * Fix FTBFS (Closes: #624989; LP: #770742)
    + add 22-fix-casting.dpatch
  * Switch Mixer binding to F8 (LP: #783653)
  * Update other patches.

 -- Toby Smithe <tsmithe@ubuntu.com>  Fri, 12 Aug 2011 14:31:48 +0100

musescore (1.0+dfsg-3) unstable; urgency=low

  * Harden dependency on musescore-common to ">= 1.0+dfsg-1" so that
    people can't do silly things like grab the debs independently and
    mess up their configs...
    + mscore.real looks at /usr/share/mscore-1.0 not mscore-0.9 now;
    + /usr/share/mscore needs to point to /usr/share/mscore-1.0.

 -- Toby Smithe <tsmithe@ubuntu.com>  Thu, 24 Feb 2011 10:30:41 +0000

musescore (1.0+dfsg-2) unstable; urgency=low

  * Re-include Matthias Klose's armel qreal fixes (Closes: #597802)
    (I missed 0.9.6.3+dfsg-0ubuntu2...
     Apologies to Matthias and my sponsor, Tobias Quathamer!)

  * debian/patches/12-debianise-about-box.dpatch:
    + Update "About" dialogue box to give copyright to 2011.

  [ Matthias Klose ]
  * More armel qreal fixes. LP: #642117.

 -- Toby Smithe <tsmithe@ubuntu.com>  Wed, 16 Feb 2011 20:04:20 +0000

musescore (1.0+dfsg-1) unstable; urgency=low

  * New upstream release (LP: #714991)
    + based off stable 0.9.6 branch
    + see <http://musescore.org/en/node/9020> for release notes.

  * Other bug fixes:
    + "Program Icon Not Used for Window List" (LP: #599820)
    + "Revert factory settings crashes on Ubuntu 10.04" (LP: #599226)

  * debian/patches:
    + 20-fix-dso-linking.dpatch: fix FTBFS on wheezy/natty.

 -- Toby Smithe <tsmithe@ubuntu.com>  Mon, 14 Feb 2011 17:22:06 +0000

musescore (0.9.6.3+dfsg-0ubuntu1) maverick; urgency=low

  * New upstream bugfix release (LP: #652276)
    + Incorporates Niall's armel qreal patch (Closes: #597802)
  
  * debian/musescore.sh: pactl test fixed (Closes: #596270)

 -- Toby Smithe <tsmithe@ubuntu.com>  Thu, 30 Sep 2010 17:20:26 +0100

musescore (0.9.6.2+dfsg-1ubuntu1) maverick; urgency=low

  * 20_armel-float-cast-fix.dpatch:
    - Define alternative rxpos and rypos calls for armel to handle
    its differenet QpointF rx() and ry() call return values. Ensure qMax
    and qMin calls have equivalent argument types(LP: #642117)

 -- Niall Creech <niallcreech@gmail.com>  Tue, 21 Sep 2010 19:23:50 +0100

musescore (0.9.6.2+dfsg-1) unstable; urgency=low

  * New upstream bugfix release (Closes: #593728)
    + Program icon used in window list. (Closes: #591913, LP: #599820)
        (debian/patches/19-fix-window-icon.dpatch)
    + Does not crash when reverting factory settings. (LP: #599226)
        (debian/patches/18-correct-sf2-path.dpatch)
    + Does not hang on opening. (Closes: #591911)

  * Update Standards-Version to 3.9.1.

  * See the release notes:
      <http://musescore.org/en/node/6745> for 0.9.6.2, and
      <http://musescore.org/en/node/6456> for 0.9.6.1 (which was skipped).

 -- Toby Smithe <tsmithe@ubuntu.com>  Tue, 17 Aug 2010 22:30:25 +0100

musescore (0.9.6+dfsg-1) unstable; urgency=low

  * New upstream release. (Closes: #585599)
    + Many new features and bugfixes. (Closes: #566235, #581845. LP: #558880)
    + See http://musescore.org/en/new-features-musescore-096 for info.
    + Update patches.

  * For now, stick to source format 1.0.
  * Still no offline PDF manuals, as pisa/reportlab are broken right now.

  * debian/control:
    + Add Provides/Replaces for old mscore packages. (LP: #527349)

  * debian/musescore.links:
    + Install symlink from usr/bin/musescore to usr/bin/mscore.

  * debian/mscore.sh, debian/control:
    + Be more robust in pulseaudio handling. (Closes: #524733)
    + Recomend pulseaudio-utils, test for pactl.

  * debian/patches/13-fix-arm-qreal-ftbfs.dpatch:
    + Hopefully, this fixes the armel FTBFS. (Closes: #559854)

  * debian/patches/09-disable-building-qtscript, debian/control:


=== debian/control ===
Source: musescore
Section: sound
Priority: optional
Maintainer: Toby Smithe <tsmithe@ubuntu.com>
Build-Depends: debhelper (>= 9), cmake, doxygen,
 graphviz, libqt4-dev (>= 4.6.0), libqtwebkit-dev, libasound2-dev, libjack-dev,
 libsndfile1-dev (>= 1.0.18), portaudio19-dev, zlib1g-dev, libfreetype6-dev,
 chrpath
Standards-Version: 3.9.3
Homepage: http://www.musescore.org/
Vcs-Bzr: http://bazaar.launchpad.net/~mscore-ubuntu/musescore/debian
Vcs-Browser: http://bazaar.launchpad.net/~mscore-ubuntu/musescore/debian/files

Package: musescore
Architecture: any
Provides: mscore
Replaces: mscore (<< 0.9.6+dfsg-1)
Conflicts: mscore (<< 0.9.6+dfsg-1)
Depends: ${misc:Depends}, ${shlibs:Depends}, libqtscript4-qtbindings, 
 musescore-common (>= 1.2+dfsg-0), musescore-soundfont-gm, xdg-utils,
 desktop-file-utils, gawk
Recommends: pulseaudio-utils
Suggests: fluid-soundfont-gm
Description: Full featured WYSIWYG score editor
 MuseScore is a free WYSIWYG music score typesetter for Linux,
 licenced under GNU GPL. Features:
  * WYSIWYG, notes are entered on a "virtual note sheet"
  * unlimited number of staves
  * up to four voices/staff
  * easy and fast note entry with mouse, keyboard or midi
  * integrated sequencer and FluidSynth software synthesizer
  * import and export of MusicXml and standard midifiles (SMF)
  * platform independent code for Linux, Windows and Mac
  
Package: musescore-common
Architecture: all
Depends: ${misc:Depends}
Provides: mscore-common
Replaces: mscore-common (<< 0.9.6+dfsg-1)
Conflicts: mscore-common (<< 0.9.6+dfsg-1)
Description: Full featured WYSIWYG score editor (common files)
 MuseScore is a free WYSIWYG music score typesetter for Linux,
 licenced under GNU GPL. Features:
  * WYSIWYG, notes are entered on a "virtual note sheet"
  * unlimited number of staves
  * up to four voices/staff
  * easy and fast note entry with mouse, keyboard or midi
  * integrated sequencer and FluidSynth software synthesizer
  * import and export of MusicXml and standard midifiles (SMF)
  * platform independent code for Linux, Windows and Mac

Package: musescore-soundfont-gm
Architecture: all
Depends: ${misc:Depends}
Suggests: fluidsynth, timidity
Description: Small GM SoundFont for MuseScore (TimGM6mb)
 This is a GM SoundFont, for use with any modern MIDI synthesiser: hardware
 (like the emu10k1 sound card), or software (like FluidSynth).
 .
 This package provides the larger GM sound set, without the Roland Sound
 Canvas extensions.

Package: mscore
Architecture: all
Section: oldlibs
Priority: extra
Depends: ${misc:Depends}, musescore
Description: Dummy transitional package for musescore
 The package `mscore` has been renamed to `musescore`.
 .
 This is a dummy, transitional package which can be safely removed.

Package: mscore-common
Architecture: all
Section: oldlibs
Priority: extra
Depends: ${misc:Depends}, musescore-common
Description: Dummy transitional package for musescore-common
 The package `mscore-common` has been renamed to `musescore-common`.
 .
 This is a dummy, transitional package which can be safely removed.

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
  http://sf.net/mscore/mscore-([\d.]*)\.tar\.bz2

## musescore 1.3%2Bdfsg

=== mscore/share/plugins/CMakeLists.txt ===
#=============================================================================
#  Mscore
#  Linux Music Score Editor
#  $Id:$
#
#  Copyright (C) 2008 by Werner Schweer and others
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License version 2.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#=============================================================================

install(FILES
      notenames.js
      colornotes.js
      removenotes.js
      removenotes.ui
      chordchart.js
      DESTINATION ${Mscore_SHARE_NAME}${Mscore_INSTALL_NAME}plugins
      )

subdirs(break musescore.com abc_import)

=== mscore/share/plugins/break/CMakeLists.txt ===
#=============================================================================
#  Mscore
#  Linux Music Score Editor
#  $Id:$
#
#  Copyright (C) 2008 by Werner Schweer and others
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License version 2.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#=============================================================================

install(FILES
      break.js
      break.ui
      DESTINATION ${Mscore_SHARE_NAME}${Mscore_INSTALL_NAME}plugins/break
      )
